%define oname QMPlay2

Name:           qmplay2
Version:        25.06.11
Release:        %mkrel 1
Summary:        A Qt based media player, streamer and downloader
License:        LGPLv3
Group:          Video/Players
URL:            https://github.com/zaps166/QMPlay2
Source0:        https://github.com/zaps166/QMPlay2/releases/download/%{version}/%{oname}-src-%{version}.tar.xz
Patch0:         qmplay2-xcb-egl-integration.patch
Patch2:         qmplay2-workaround-clang-bug-85552.patch
Patch3:         qmplay2-default-vaapi-on.patch

BuildRequires:  ninja-build
BuildRequires:  cmake
BuildRequires:  cmake(Qt6)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6OpenGL)
BuildRequires:  cmake(Qt6OpenGLWidgets)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libpulse-simple)
BuildRequires:  pkgconfig(libsidplayfp)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(libswresample)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libswscale)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libavdevice)
BuildRequires:  pkgconfig(libgme)
BuildRequires:  pkgconfig(libva)
BuildRequires:  pkgconfig(libcdio)
BuildRequires:  pkgconfig(libass)
BuildRequires:  pkgconfig(shaderc)
BuildRequires:  pkgconfig(xv)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(vdpau)
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  pkgconfig(libcddb)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(rubberband)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  glslc

# since now needs youtube-dl.Sflo
Requires:       yt-dlp

%description
QMPlay2 is a video player, it can plays all formats
and stream supported by ffmpeg and libmodplug
(including J2B). It has integrated Youtube and Wrzuta browser.

%files
%doc AUTHORS ChangeLog README.md
%license LICENSE LICENSE.qmvk COPYING.libmodplug
%{_bindir}/%{oname}
%{_libdir}/libqmplay2.so
%{_libdir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{oname}.*
%{_datadir}/applications/*.desktop
%{_metainfodir}/*.xml
%{_datadir}/qmplay2/
%{_datadir}/solid/actions/QMPlay2-opencda.desktop
%{_datadir}/mime/packages/*
%{_mandir}/man1/%{oname}.1*

%prep
%autosetup -p1 -n %{oname}-src-%{version}

# unbundle vulkan headers
#find src/qmplay2/vulkan/headers -delete

# subproject and bundled license files
cp src/qmvk/LICENSE LICENSE.qmvk
cp src/modules/Modplug/libmodplug/COPYING COPYING.libmodplug

%build
%cmake  \
        -G Ninja \
        -DCMAKE_INTERPROCEDURAL_OPTIMIZATION:BOOL=ON \
        -DSOLID_ACTIONS_INSTALL_PATH="%{_datadir}/solid/actions" \
        -DUSE_PULSEAUDIO:BOOL=ON \
        -DUSE_FFMPEG_VAAPI:BOOL=ON \
        -DUSE_PCH:BOOL=ON \
        -DUSE_PORTAUDIO:BOOL=ON \
        -DUSE_RUBBERBAND:BOOL=ON \
        -DUSE_GIT_VERSION:BOOL=OFF \
        -DUSE_UPDATES:BOOL=OFF \
        -DFIND_HWACCEL_DRIVERS_PATH:BOOL=ON \
        -DUSE_OPENGL:BOOL=ON \
        -DUSE_VULKAN:BOOL=ON \
        -DUSE_GLSLC:BOOL=ON \
        -DUSE_FREEDESKTOP_NOTIFICATIONS:BOOL=ON \
        -DUSE_FFMPEG_VKVIDEO:BOOL=ON

%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_includedir}


%changelog
* Thu Jun 12 2025 daviddavid <daviddavid> 25.06.11-1.mga10
+ Revision: 2190667
- new version: 25.06.11

* Mon Jan 20 2025 daviddavid <daviddavid> 25.01.19-1.mga10
+ Revision: 2139950
- new version: 25.01.19

* Mon Dec 30 2024 daviddavid <daviddavid> 24.12.28-1.mga10
+ Revision: 2131554
- new version: 24.12.28

* Fri Dec 27 2024 daviddavid <daviddavid> 24.12.23-1.mga10
+ Revision: 2130366
- new version: 24.12.23

* Tue Dec 10 2024 daviddavid <daviddavid> 24.12.06-3.mga10
+ Revision: 2123359
- rebuild for new rubberband 4.0.0

* Mon Dec 09 2024 daviddavid <daviddavid> 24.12.06-2.mga10
+ Revision: 2123158
- build VkVideo acceleration into FFmpeg

* Mon Dec 09 2024 daviddavid <daviddavid> 24.12.06-1.mga10
+ Revision: 2123128
- new version: 24.12.06

* Sun Dec 08 2024 daviddavid <daviddavid> 24.06.16-3.mga10
+ Revision: 2122644
- rebuild for new ffmpeg 7.1

* Fri Oct 04 2024 daviddavid <daviddavid> 24.06.16-2.mga10
+ Revision: 2103118
- rebuild for new taglib 2.0.2

* Wed Jun 19 2024 daviddavid <daviddavid> 24.06.16-1.mga10
+ Revision: 2075539
- new version: 24.06.16

* Tue Jun 11 2024 daviddavid <daviddavid> 24.05.23-2.mga10
+ Revision: 2072699
- rebuild for new libsidplayfp 2.8.0

* Tue May 28 2024 daviddavid <daviddavid> 24.05.23-1.mga10
+ Revision: 2068520
- initial package qmplay2

